package com.njcn.pojo.commons.device;

import java.io.Serializable;

public class MachineAccount implements Serializable {
    private String startTime;
    private String endTime;

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    private String name;// 终端编号
    private String gdName;//供电公司名称
    private String subName;//变电站名称
    private String Scale;// 电压等级
    private String time;//投运时间
    private String Manufacturer;// 厂家名称
    private String DevType;// 终端型号
    private Long IP1;// IP1
    private Long IP2;// IP2
    private Long IP3;// IP3
    private Long IP4;// IP4
    private String IP;// IP地址
    private Long portid;//端口
    private String devflag;//终端状态
    private Integer pttype;

    public Integer getPttype() {
        return pttype;
    }

    public void setPttype(Integer pttype) {
        this.pttype = pttype;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getGdName() {
        return gdName;
    }

    public void setGdName(String gdName) {
        this.gdName = gdName;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public String getScale() {
        return Scale;
    }

    public void setScale(String scale) {
        Scale = scale;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public String getManufacturer() {
        return Manufacturer;
    }

    public void setManufacturer(String manufacturer) {
        Manufacturer = manufacturer;
    }

    public String getDevType() {
        return DevType;
    }

    public void setDevType(String devType) {
        DevType = devType;
    }

    public Long getIP1() {
        return IP1;
    }

    public void setIP1(Long iP1) {
        IP1 = iP1;
    }

    public Long getIP2() {
        return IP2;
    }

    public void setIP2(Long iP2) {
        IP2 = iP2;
    }

    public Long getIP3() {
        return IP3;
    }

    public void setIP3(Long iP3) {
        IP3 = iP3;
    }

    public Long getIP4() {
        return IP4;
    }

    public void setIP4(Long iP4) {
        IP4 = iP4;
    }

    public String getIP() {
        return IP;
    }

    public void setIP(String iP) {
        IP = iP;
    }

    public Long getPortid() {
        return portid;
    }

    public void setPortid(Long portid) {
        this.portid = portid;
    }

    public String getDevflag() {
        return devflag;
    }

    public void setDevflag(String devflag) {
        this.devflag = devflag;
    }

}